package com.xynet.marketing.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 项目商品表
 * @author hechunping
 * @date 2025/1/20
 */
@Data
@Accessors(chain = true)
@TableName("marketing_merc_project_goods")
public class MercProjectGoods implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 活动Id
     */
    private Integer actId;

    /**
     * 活动类型
     */
    private String actType;

    /**
     * 商品ID
     */
    private String goodsId;

    /**
     * 特价(特价活动专属)
     */
    private Integer priceOnsale;

    /**
     * 原价(特价活动专属)
     */
    private Integer priceOld;

    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 商品封面
     */
    private String cover;

    /**
     * 总数量（特价活动专属）
     */
    private Integer totalNum;

    /**
     * 已购买量（特价活动专属）
     */
    private Integer buyNum;
}
