package com.xynet.marketing.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * 会员优惠券状态枚举
 *
 * @author hechunping
 * @date 2025/2/19
 */
@Getter
@AllArgsConstructor
public enum MemberCouponStatusEnum {
    UNUSED("1", "未使用"),
    USED("2", "已使用"),
    DISABLED("3", "已失效"),
    ;

    private String code;

    private String value;

    public static MemberCouponStatusEnum getEnum(String code) {
        MemberCouponStatusEnum[] values = MemberCouponStatusEnum.values();
        for (MemberCouponStatusEnum enums : values) {
            if (enums.code.equals(code)) {
                return enums;
            }
        }
        return null;
    }

    public static Map<String, String> maps() {
        Map<String, String> map = new HashMap<>();
        MemberCouponStatusEnum[] values = MemberCouponStatusEnum.values();
        for (MemberCouponStatusEnum enums : values) {
            map.put(enums.code, enums.value);
        }
        return map;
    }
}
